%global namedversion %{version}
Name:          javolution
Version:       5.5.1
Release:       0.6%{?dist}
Summary:       Java Solution for Real-Time and Embedded Systems
Group:         Development/Libraries
License:       BSD
URL:           http://javolution.org/
# svn export https://svn.kenai.com/svn/javolution~source-code-repository/Javolution/ javolution-5.5.1
# rm -r javolution-5.5.1/colapi.jar javolution-5.5.1/banner.png javolution-5.5.1/index.html javolution-5.5.1/css
# rm -r javolution-5.5.1/src/main/java/org
# tar czf javolution-5.5.1-src-svn.tar.gz javolution-5.5.1
Source0:       %{name}-%{namedversion}-src-svn.tar.gz
# http://bugs.sun.com/view_bug.do?bug_id=6904536
Patch0:        %{name}-oj7-template.patch

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: junit
BuildRequires: maven-local
BuildRequires: maven-resources-plugin

%description
Javolution - Java Solution for Real-Time and Embedded Systems.
This project provides a Java library for real-time 
applications. It is maven-based and can be used to 
build multi-platform real-time applications. It uses template 
classes to generates java code for various versions of the 
Java run-time (e.g. J2ME, 1.4, GCJ, 1.5).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -qn %{name}-%{namedversion}
%patch0 -p1

# disable wagon-svn, colapi
%pom_remove_plugin javolution:colapi
%pom_xpath_remove "pom:project/pom:build/pom:extensions"

sed -i 's/\r//' LICENSE.txt

%mvn_file  "%{name}:%{name}" %{name}

%build
# random test failure in Struct for UNSIGNED32
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.5.1-0.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 5.5.1-0.5
- Use Requires: java-headless rebuild (#1067528)

* Mon Dec 2 2013 Pete MacKinnon <pmackinn@redhat.com> 5.5.1-0.4
- dist bump for new build

* Thu Sep 19 2013 Peter MacKinnon <pmackinn@redhat.com> 5.5.1-0.3
- removed unnecessary javadoc noarch

* Thu Sep 19 2013 Peter MacKinnon <pmackinn@redhat.com> 5.5.1-0.2
- changes from review feedback

* Tue Sep 17 2013 Peter MacKinnon <pmackinn@redhat.com> 5.5.1-0.1
- 5.5.1 release due to felix/OJ7 issues
- maven-local macros
